# FairMQ: fair::mq::shmem::Poller Class Reference

fair::mq::shmem::Poller Class Referencefinal
Inheritance diagram for fair::mq::shmem::Poller:
[legend]
Collaboration diagram for fair::mq::shmem::Poller:
[legend]

## Public Member Functions

| Poller (const std::vector< FairMQChannel > &channels)
| Poller (const std::vector< FairMQChannel * > &channels)
| Poller (const std::unordered_map< std::string, std::vector< FairMQChannel >> &channelsMap, const std::vector< std::string > &channelList)
| Poller (const Poller &)=delete
Poller | operator= (const Poller &)=delete
void | SetItemEvents (zmq_pollitem_t &item, const int type)
void | Poll (const int timeout) override
bool | CheckInput (const int index) override
bool | CheckOutput (const int index) override
bool | CheckInput (const std::string &channelKey, const int index) override
bool | CheckOutput (const std::string &channelKey, const int index) override

The documentation for this class was generated from the following file:

- fairmq/shmem/Poller.h

privacy